minetest.register_node("anvil:amboss", {
	description = "Anvil",
	drawtype = "mesh",
	mesh = "amboss.obj",
	tiles = {"steel.png"},
	paramtype2 = "facedir",
	paramtype = "light",
	groups = {choppy=2,oddly_breakable_by_hand=2,flammable=2},
	on_rightclick = function(pos, node, clicker, itemstack)
		clicker:get_inventory():set_width("craft", 4)
		clicker:get_inventory():set_size("craft", 16)
		clicker:get_inventory():set_size("main", 9*4)
		local form = "size[9,8.75]background	[-0.19,-0.25;9.41,9.49;crafting_formspec.png^crafting.png]bgcolor[#080808BB;true]listcolors[#9990;#FFF7;#FFF0;#160816;#D4D2FF]list[current_player;main;0,4.5;9,3;9]list[current_player;main;0,7.74;9,1;]list[current_player;craft;1.75,0.5;4,4;]list[current_player;craftpreview;5.75,1.5;1,1;]wob"
		minetest.show_formspec(clicker:get_player_name(), "amboss", form)
	end
})
local function item_drop(itemstack, dropper, pos)
	if dropper:is_player() then
		local v = dropper:get_look_dir()
		local p = {x=pos.x, y=pos.y+1.2, z=pos.z}
		p.x = p.x+(math.random(1,3)*0.2)
		p.z = p.z+(math.random(1,3)*0.2)
		local obj = minetest.add_item(p, itemstack)
		if obj then
			v.x = v.x*4
			v.y = v.y*4 + 2
			v.z = v.z*4
			obj:setvelocity(v)
		end
	else
		minetest.add_item(pos, itemstack)
	end
	return itemstack
end
minetest.register_on_player_receive_fields(function(player, formname, fields)
	if fields.quit then
		local formspec = player:get_inventory_formspec()
		local size = string.len(formspec)
		local marker = string.sub(formspec,size-2)
		if formname  ==  "amboss" then
			local inv = player:get_inventory()
			for i,stack in ipairs(inv:get_list("craft")) do
				item_drop(stack, player, player:getpos())
				stack:clear()
				inv:set_stack("craft", i, stack)
			end
		end
		player:get_inventory():set_width("craft", 3)
		player:get_inventory():set_size("craft", 9)
		player:get_inventory():set_size("main", 8*4)
	end
end)
minetest.register_tool("anvil:longsword_wood", {
	description = "Wooden Longsword",
	inventory_image = "woodsword.png",
	range = 4,
	wield_scale = {x=4,y=4,z=0.5},
	tool_capabilities = {
		full_punch_interval = 2,
		max_drop_level=0,
		groupcaps={
			snappy={times={[2]=6.4, [3]=1.60}, uses=15, maxlevel=1},
		},
		damage_groups = {fleshy=10},
	}
})
minetest.register_tool("anvil:longsword_stone", {
	description = "Stone Longsword",
	inventory_image = "stonesword.png",
	wield_scale = {x=4,y=4,z=0.5},
	range = 4,
	tool_capabilities = {
		full_punch_interval = 4.8,
		max_drop_level=0,
		groupcaps={
			snappy={times={[2]=6.4, [3]=1.60}, uses=25, maxlevel=1},
		},
		damage_groups = {fleshy=14},
	}
})
minetest.register_tool("anvil:longsword_steel", {
	description = "Steel Longsword",
	range = 4,
	inventory_image = "steelsword.png",
	wield_scale = {x=4,y=4,z=0.5},
	tool_capabilities = {
		full_punch_interval = 1.6,
		max_drop_level=1,
		groupcaps={
			snappy={times={[1]=10, [2]=4.80, [3]=1.4}, uses=35, maxlevel=2},
		},
		damage_groups = {fleshy=18},
	}
})
minetest.register_tool("anvil:longsword_bronze", {
	description = "Bronze Longsword",
	inventory_image = "bronzesword.png",
	range = 4,
	wield_scale = {x=4,y=4,z=0.5},
	tool_capabilities = {
		full_punch_interval = 1.6,
		max_drop_level=1,
		groupcaps={
			snappy={times={[1]=10, [2]=4.8, [3]=1.4}, uses=45, maxlevel=2},
		},
		damage_groups = {fleshy=20},
	}
})
minetest.register_tool("anvil:longsword_mese", {
	description = "Mese Longsword",
	inventory_image = "mesesword.png",
	wield_scale = {x=4,y=4,z=0.5},
	range = 4,
	tool_capabilities = {
		full_punch_interval = 1.4,
		max_drop_level=1,
		groupcaps={
			snappy={times={[1]=8.0, [2]=4.00, [3]=1.4}, uses=35, maxlevel=3},
		},
		damage_groups = {fleshy=22},
	}
})
minetest.register_tool("anvil:longsword_diamond", {
	description = "Diamond Longsword",
	inventory_image = "diamondsword.png",
	range = 4,
	wield_scale = {x=4,y=4,z=0.5},
	tool_capabilities = {
		full_punch_interval = 1.4,
		max_drop_level=1,
		groupcaps={
			snappy={times={[1]=7.60, [2]=3.60, [3]=1.20}, uses=45, maxlevel=3},
		},
		damage_groups = {fleshy=26},
	}
})
minetest.register_tool("anvil:spear_diamond", {
	description = "Diamond Spear",
	inventory_image = "diamondspear.png",
	wield_scale = {x=4,y=4,z=0.5},
	range = 8,
	tool_capabilities = {
		full_punch_interval = 1.4,
		max_drop_level=1,
		groupcaps={
			snappy={times={[2]=6.4, [3]=1.60}, uses=45, maxlevel=1},
		},
		damage_groups = {fleshy=20},
	}
})
minetest.register_tool("anvil:spear_mese",{
	description = "Mese Spear",
	inventory_image = "mesespear.png",
	wield_scale = {x=4,y=4,z=0.5},
	range = 8,
	tool_capabilities = {
		full_punch_interval = 1.4,
		max_drop_level=1,
		groupcaps={
			snappy={times={[2]=6.4, [3]=1.60}, uses=35, maxlevel=1},
		},
		damage_groups = {fleshy=16},
	}
})
minetest.register_tool("anvil:spear_steel",{
	description = "Steel Spear",
	inventory_image = "steelspear.png",
	wield_scale = {x=4,y=4,z=0.5},
	range = 8,
	tool_capabilities = {
		full_punch_interval = 1.4,
		max_drop_level=1,
		groupcaps={
			snappy={times={[2]=6.4, [3]=1.60}, uses=35, maxlevel=1},
		},
		damage_groups = {fleshy=12},
	}
})
minetest.register_tool("anvil:spear_wood",{
	description = "Wooden Spear",
	inventory_image = "woodspear.png",
	wield_scale = {x=4,y=4,z=0.5},
	range = 8,
	tool_capabilities = {
		full_punch_interval = 1.4,
		max_drop_level=0,
		groupcaps={
			snappy={times={[2]=6.4, [3]=1.60}, uses=15, maxlevel=1},
		},
		damage_groups = {fleshy=4},
	}
})
minetest.register_tool("anvil:spear_bronze",{
	description = "Bronze Spear",
	inventory_image = "bronzespear.png",
	wield_scale = {x=4,y=4,z=0.5},
	range = 8,
	tool_capabilities = {
		full_punch_interval = 1.4,
		max_drop_level=1,
		groupcaps={
			snappy={times={[2]=6.4, [3]=1.60}, uses=45, maxlevel=1},
		},
		damage_groups = {fleshy=14},
	}
})
minetest.register_tool("anvil:spear_stone",{
	description = "Stone Spear",
	inventory_image = "stonespear.png",
	wield_scale = {x=4,y=4,z=0.5},
	range = 8,
	tool_capabilities = {
		full_punch_interval = 1.4,
		max_drop_level=1,
		groupcaps={
			snappy={times={[2]=6.4, [3]=1.60}, uses=25, maxlevel=1},
		},
		damage_groups = {fleshy=8},
	}
})
minetest.register_tool("anvil:lance_diamond", {
	description = "Diamond Lance",
	inventory_image = "diamondlance.png",
	wield_scale = {x=4,y=4,z=0.5},
	range = 8,
	tool_capabilities = {
		full_punch_interval = 1.4,
		max_drop_level=1,
		groupcaps={
			snappy={times={[2]=6.4, [3]=1.60}, uses=45, maxlevel=1},
		},
		damage_groups = {fleshy=24},
	}
})
minetest.register_tool("anvil:lance_mese",{
	description = "Mese Lance",
	inventory_image = "meselance.png",
	wield_scale = {x=4,y=4,z=0.5},
	range = 8,
	tool_capabilities = {
		full_punch_interval = 1.4,
		max_drop_level=1,
		groupcaps={
			snappy={times={[2]=6.4, [3]=1.60}, uses=35, maxlevel=1},
		},
		damage_groups = {fleshy=20},
	}
})
minetest.register_tool("anvil:lance_steel",{
	description = "Steel Lance",
	inventory_image = "steellance.png",
	wield_scale = {x=4,y=4,z=0.5},
	range = 8,
	tool_capabilities = {
		full_punch_interval = 1.4,
		max_drop_level=1,
		groupcaps={
			snappy={times={[2]=6.4, [3]=1.60}, uses=35, maxlevel=1},
		},
		damage_groups = {fleshy=16},
	}
})
minetest.register_tool("anvil:lance_wood",{
	description = "Wood Lance",
	inventory_image = "woodlance.png",
	wield_scale = {x=4,y=4,z=0.5},
	range = 8,
	tool_capabilities = {
		full_punch_interval = 1.4,
		max_drop_level=0,
		groupcaps={
			snappy={times={[2]=6.4, [3]=1.60}, uses= 15, maxlevel=1},
		},
		damage_groups = {fleshy=6},
	}
})
minetest.register_tool("anvil:lance_bronze",{
	description = "Bronze Lance",
	inventory_image = "bronzelance.png",
	wield_scale = {x=4,y=4,z=0.5},
	range = 8,
	tool_capabilities = {
		full_punch_interval = 1.4,
		max_drop_level=1,
		groupcaps={
			snappy={times={[2]=6.4, [3]=1.60}, uses=45, maxlevel=1},
		},
		damage_groups = {fleshy=18},
	}
})
minetest.register_tool("anvil:lance_stone",{
	description = "Stone Lance",
	inventory_image = "stonelance.png",
	wield_scale = {x=4,y=4,z=0.5},
	range = 8,
	tool_capabilities = {
		full_punch_interval = 1.4,
		max_drop_level=1,
		groupcaps={
			snappy={times={[2]=6.4, [3]=1.60}, uses= 25, maxlevel=1},
		},
		damage_groups = {fleshy=8},
	}
})
minetest.register_craft({
	output = 'anvil:amboss',
	recipe = {
		{'default:steelblock','default:steelblock','default:steelblock'},
		{'','default:steelblock',''},
		{'default:steelblock','default:steelblock','default:steelblock'},
	}
})
minetest.register_craft({
	output = 'anvil:longsword_wood',
	recipe = {
		{'group:wood'},
		{'group:wood'},
		{'group:wood'},
		{'group:stick'},
	}
})
minetest.register_craft({
	output = 'anvil:longsword_stone',
	recipe = {
		{'group:stone'},
		{'group:stone'},
		{'group:stone'},
		{'group:stick'},
	}
})
minetest.register_craft({
	output = 'anvil:longsword_steel',
	recipe = {
		{'default:steel_ingot'},
		{'default:steel_ingot'},
		{'default:steel_ingot'},
		{'group:stick'},
	}
})
minetest.register_craft({
	output = 'anvil:longsword_bronze',
	recipe = {
		{'default:bronze_ingot'},
		{'default:bronze_ingot'},
		{'default:bronze_ingot'},
		{'group:stick'},
	}
})
minetest.register_craft({
	output = 'anvil:longsword_mese',
	recipe = {
		{'default:mese_crystal'},
		{'default:mese_crystal'},
		{'default:mese_crystal'},
		{'group:stick'},
	}
})
minetest.register_craft({
	output = 'anvil:longsword_diamond',
	recipe = {
		{'default:diamond'},
		{'default:diamond'},
		{'default:diamond'},
		{'group:stick'},
	}
})
minetest.register_craft({
	output = 'anvil:spear_wood',
	recipe = {
		{'group:wood'},
		{'group:stick'},
		{'group:stick'},
		{'group:stick'},
	}
})
minetest.register_craft({
	output = 'anvil:spear_stone',
	recipe = {
		{'group:stone'},
		{'group:stick'},
		{'group:stick'},
		{'group:stick'},
	}
})
minetest.register_craft({
	output = 'anvil:spear_steel',
	recipe = {
		{'default:steel_ingot'},
		{'group:stick'},
		{'group:stick'},
		{'group:stick'},
	}
})
minetest.register_craft({
	output = 'anvil:spear_bronze',
	recipe = {
		{'default:bronze_ingot'},
		{'group:stick'},
		{'group:stick'},
		{'group:stick'},
	}
})
minetest.register_craft({
	output = 'anvil:spear_mese',
	recipe = {
		{'default:mese_crystal'},
		{'group:stick'},
		{'group:stick'},
		{'group:stick'},
	}
})
minetest.register_craft({
	output = 'anvil:spear_diamond',
	recipe = {
		{'default:diamond'},
		{'group:stick'},
		{'group:stick'},
		{'group:stick'},
	}
})
minetest.register_craft({
	output = 'anvil:lance_wood',
	recipe = {
		{'','group:wood',''},
		{'','group:wood',''},
		{'','group:wood',''},
		{'group:wood','group:wood','group:wood'},
	}
})
minetest.register_craft({
	output = 'anvil:lance_stone',
	recipe = {
		{'','group:stone',''},
		{'','group:stone',''},
		{'','group:stone',''},
		{'group:stone','group:stone','group:stone'},
	}
})
minetest.register_craft({
	output = 'anvil:lance_steel',
	recipe = {
		{'','default:iron_ingot',''},
		{'','default:iron_ingot',''},
		{'','default:iron_ingot',''},
		{'default:iron_ingot','default:iron_ingot','default:iron_ingot'},
	}
})
minetest.register_craft({
	output = 'anvil:lance_bronze',
	recipe = {
		{'','default:bronze_ingot',''},
		{'','default:bronze_ingot',''},
		{'','default:bronze_ingot',''},
		{'default:bronze_ingot','default:bronze_ingot','default:bronze_ingot'},
	}
})
minetest.register_craft({
	output = 'anvil:lance_mese',
	recipe = {
		{'','default:mese_crystal',''},
		{'','default:mese_crystal',''},
		{'','default:mese_crystal',''},
		{'default:mese_crystal','default:mese_crystal','default:mese_crystal'},
	}
})
minetest.register_craft({
	output = 'anvil:lance_diamond',
	recipe = {
		{'','default:diamond',''},
		{'','default:diamond',''},
		{'','default:diamond',''},
		{'default:diamond','default:diamond','default:diamond'},
	}
})
minetest.register_craft({
	output = 'anvil:lance_diamond',
	recipe = {
		{'default:diamond','','',''},
		{'','','',''},
		{'','','',''},
		{'','','','anvil:lance_diamond'},
	}
})
minetest.register_craft({
	output = 'anvil:lance_wood',
	recipe = {
		{'group:wood','','',''},
		{'','','',''},
		{'','','',''},
		{'','','','anvil:lance_wood'},
	}
})
minetest.register_craft({
	output = 'anvil:lance_stone',
	recipe = {
		{'group:stone','','',''},
		{'','','',''},
		{'','','',''},
		{'','','','anvil:lance_stone'},
	}
})
minetest.register_craft({
	output = 'anvil:lance_steel',
	recipe = {
		{'default:iron_ingot','','',''},
		{'','','',''},
		{'','','',''},
		{'','','','anvil:lance_steel'},
	}
})
minetest.register_craft({
	output = 'anvil:lance_mese',
	recipe = {
		{'default:mese_crystal','','',''},
		{'','','',''},
		{'','','',''},
		{'','','','anvil:lance_mese'},
	}
})
minetest.register_craft({
	output = 'anvil:lance_bronze',
	recipe = {
		{'default:bronze_ingot','','',''},
		{'','','',''},
		{'','','',''},
		{'','','','anvil:lance_bronze'},
	}
})
minetest.register_craft({
	output = 'anvil:spear_diamond',
	recipe = {
		{'default:diamond','','',''},
		{'','','',''},
		{'','','',''},
		{'','','','anvil:spear_diamond'},
	}
})
minetest.register_craft({
	output = 'anvil:spear_wood',
	recipe = {
		{'group:wood','','',''},
		{'','','',''},
		{'','','',''},
		{'','','','anvil:spear_wood'},
	}
})
minetest.register_craft({
	output = 'anvil:spear_stone',
	recipe = {
		{'group:stone','','',''},
		{'','','',''},
		{'','','',''},
		{'','','','anvil:spear_stone'},
	}
})
minetest.register_craft({
	output = 'anvil:spear_steel',
	recipe = {
		{'default:iron_ingot','','',''},
		{'','','',''},
		{'','','',''},
		{'','','','anvil:spear_steel'},
	}
})
minetest.register_craft({
	output = 'anvil:spear_mese',
	recipe = {
		{'default:mese_crystal','','',''},
		{'','','',''},
		{'','','',''},
		{'','','','anvil:spear_mese'},
	}
})
minetest.register_craft({
	output = 'anvil:spear_bronze',
	recipe = {
		{'default:bronze_ingot','','',''},
		{'','','',''},
		{'','','',''},
		{'','','','anvil:spear_bronze'},
	}
})
minetest.register_craft({
	output = 'anvil:longsword_diamond',
	recipe = {
		{'default:diamond','','',''},
		{'','','',''},
		{'','','',''},
		{'','','','anvil:longsword_diamond'},
	}
})
minetest.register_craft({
	output = 'anvil:longsword_wood',
	recipe = {
		{'group:wood','','',''},
		{'','','',''},
		{'','','',''},
		{'','','','anvil:longsword_wood'},
	}
})
minetest.register_craft({
	output = 'anvil:longsword_stone',
	recipe = {
		{'group:stone','','',''},
		{'','','',''},
		{'','','',''},
		{'','','','anvil:longsword_stone'},
	}
})
minetest.register_craft({
	output = 'anvil:longsword_steel',
	recipe = {
		{'default:iron_ingot','','',''},
		{'','','',''},
		{'','','',''},
		{'','','','anvil:longsword_steel'},
	}
})
minetest.register_craft({
	output = 'anvil:longsword_mese',
	recipe = {
		{'default:mese_crystal','','',''},
		{'','','',''},
		{'','','',''},
		{'','','','anvil:longsword_mese'},
	}
})
minetest.register_craft({
	output = 'anvil:longsword_bronze',
	recipe = {
		{'default:bronze_ingot','','',''},
		{'','','',''},
		{'','','',''},
		{'','','','anvil:longsword_bronze'},
	}
})
minetest.register_craft({
	output = 'default:sword_bronze',
	recipe = {
		{'default:bronze_ingot','','',''},
		{'','','',''},
		{'','','',''},
		{'','','','default:sword_bronze'},
	}
})
minetest.register_craft({
	output = 'default:sword_steel',
	recipe = {
		{'default:steel_ingot','','',''},
		{'','','',''},
		{'','','',''},
		{'','','','default:sword_steel'},
	}
})
minetest.register_craft({
	output = 'default:sword_mese',
	recipe = {
		{'default:mese_crystal','','',''},
		{'','','',''},
		{'','','',''},
		{'','','','default:sword_mese'},
	}
})
minetest.register_craft({
	output = 'default:sword_diamond',
	recipe = {
		{'default:diamond','','',''},
		{'','','',''},
		{'','','',''},
		{'','','','default:sword_diamond'},
	}
})
minetest.register_craft({
	output = 'default:sword_stone',
	recipe = {
		{'default:stone','','',''},
		{'','','',''},
		{'','','',''},
		{'','','','default:sword_stone'},
	}
})
minetest.register_craft({
	output = 'default:sword_wood',
	recipe = {
		{'group:wood','','',''},
		{'','','',''},
		{'','','',''},
		{'','','','default:sword_wood'},
	}
})
minetest.register_craft({
	output = 'default:pick_bronze',
	recipe = {
		{'default:bronze_ingot','','',''},
		{'','','',''},
		{'','','',''},
		{'','','','default:pick_bronze'},
	}
})
minetest.register_craft({
	output = 'default:pick_steel',
	recipe = {
		{'default:steel_ingot','','',''},
		{'','','',''},
		{'','','',''},
		{'','','','default:pick_steel'},
	}
})
minetest.register_craft({
	output = 'default:pick_mese',
	recipe = {
		{'default:mese_crystal','','',''},
		{'','','',''},
		{'','','',''},
		{'','','','default:pick_mese'},
	}
})
minetest.register_craft({
	output = 'default:pick_diamond',
	recipe = {
		{'default:diamond','','',''},
		{'','','',''},
		{'','','',''},
		{'','','','default:pick_diamond'},
	}
})
minetest.register_craft({
	output = 'default:pick_stone',
	recipe = {
		{'default:stone','','',''},
		{'','','',''},
		{'','','',''},
		{'','','','default:pick_stone'},
	}
})
minetest.register_craft({
	output = 'default:pick_wood',
	recipe = {
		{'group:wood','','',''},
		{'','','',''},
		{'','','',''},
		{'','','','default:pick_wood'},
	}
})
minetest.register_craft({
	output = 'default:axe_bronze',
	recipe = {
		{'default:bronze_ingot','','',''},
		{'','','',''},
		{'','','',''},
		{'','','','default:axe_bronze'},
	}
})
minetest.register_craft({
	output = 'default:axe_steel',
	recipe = {
		{'default:steel_ingot','','',''},
		{'','','',''},
		{'','','',''},
		{'','','','default:axe_steel'},
	}
})
minetest.register_craft({
	output = 'default:axe_mese',
	recipe = {
		{'default:mese_crystal','','',''},
		{'','','',''},
		{'','','',''},
		{'','','','default:axe_mese'},
	}
})
minetest.register_craft({
	output = 'default:axe_diamond',
	recipe = {
		{'default:diamond','','',''},
		{'','','',''},
		{'','','',''},
		{'','','','default:axe_diamond'},
	}
})
minetest.register_craft({
	output = 'default:axe_stone',
	recipe = {
		{'default:stone','','',''},
		{'','','',''},
		{'','','',''},
		{'','','','default:axe_stone'},
	}
})
minetest.register_craft({
	output = 'default:axe_wood',
	recipe = {
		{'group:wood','','',''},
		{'','','',''},
		{'','','',''},
		{'','','','default:axe_wood'},
	}
})
minetest.register_craft({
	output = 'default:shovel_bronze',
	recipe = {
		{'default:bronze_ingot','','',''},
		{'','','',''},
		{'','','',''},
		{'','','','default:shovel_bronze'},
	}
})
minetest.register_craft({
	output = 'default:shovel_steel',
	recipe = {
		{'default:steel_ingot','','',''},
		{'','','',''},
		{'','','',''},
		{'','','','default:shovel_steel'},
	}
})
minetest.register_craft({
	output = 'default:shovel_mese',
	recipe = {
		{'default:mese_crystal','','',''},
		{'','','',''},
		{'','','',''},
		{'','','','default:shovel_mese'},
	}
})
minetest.register_craft({
	output = 'default:shovel_diamond',
	recipe = {
		{'default:diamond','','',''},
		{'','','',''},
		{'','','',''},
		{'','','','default:shovel_diamond'},
	}
})
minetest.register_craft({
	output = 'default:shovel_stone',
	recipe = {
		{'default:stone','','',''},
		{'','','',''},
		{'','','',''},
		{'','','','default:shovel_stone'},
	}
})
minetest.register_craft({
	output = 'default:shovel_wood',
	recipe = {
		{'group:wood','','',''},
		{'','','',''},
		{'','','',''},
		{'','','','default:shovel_wood'},
	}
})
